%global dlrn 1
%define upstream_version 10.0.0
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global drv_vendor VMware
%global srcname vmware-nsx
%global docpath doc/build/html
%global service neutron

Name:           python-networking-%{srcname}
Version: 	10.0.0
Release: 	11%{?dist}
Provides: 	python2-networking-vmware-nsx = %{version}-%{release}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
# TODO: really, there are no packages on PyPI or anywhere else
URL:            https://pypi.python.org/pypi/%{srcname}
Source0: 	http://tarballs.openstack.org/%{srcname}/%{srcname}-%{version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=10.0.0
Patch0001: 0001-NSX-V-Support-changing-the-position-of-LBAAS-L7-poli.patch
Patch0002: 0002-AdminUtils-NSXv3-Fix-SG-admin-utils-and-their-documa.patch
Patch0003: 0003-Update-tox_install-for-stable-ocata.patch
Patch0004: 0004-NSX-V-Fix-lbaas-l7-reject-action.patch
Patch0005: 0005-NSX-V-delete-old-pending-create-edges.patch
Patch0006: 0006-NSX-V-Improve-DHCP-edge-firewall-rules.patch
Patch0007: 0007-Use-vmware-nsxlib-stable-ocata.patch
Patch0008: 0008-NSX-T-Rewrite-client-certificate-unit-tests.patch
Patch0009: 0009-NSX-V-ensure-that-DVS-name-is-unique.patch
Patch0010: 0010-Use-stable-ocata-version-from-networking-sfc.patch
Patch0011: 0011-NSX-V3-Qos-without-RPC-notifications.patch
Patch0012: 0012-Updated-from-global-requirements.patch
Patch0013: 0013-NSXv3-Add-certificate-expiration-alert.patch
Patch0014: 0014-NSXv-Subnet-create-and-attachment-concurrency.patch
Patch0015: 0015-NSX-V-ensure-correct-parameter-is-passed.patch
Patch0016: 0016-Revert-fix-tarball-setup.cfg.patch
Patch0017: 0017-Skip-configuring-integration-bride-on-ESXi-compute.patch
Patch0018: 0018-NSX-V3-Fix-QoS-delete.patch
Patch0019: 0019-NSXv3-Admin-Multiple-client-certificate-support.patch
Patch0020: 0020-Fix-to-use-correct-config-options-for-image_ssh_user.patch
Patch0021: 0021-NSX-V3-fix-devstack-cleanup.patch
Patch0022: 0022-NSXv3-Always-clean-client-certificate-in-devstack.patch
Patch0023: 0023-AdminUtils-NSX-V-fix-sections-reorder.patch
Patch0024: 0024-NSXv3-Hide-client-auth-password.patch
Patch0025: 0025-Prevent-non-admin-user-specifying-port-s-provider-se.patch
Patch0026: 0026-NSXv-NSXv3-Enable-address-scope-extension.patch
Patch0027: 0027-Fix-unit-tests.patch
Patch0028: 0028-NSX-V-Fix-exclusive-router-deletion.patch
Patch0029: 0029-Backport-neutron-integration-fixes.patch
Patch0030: 0030-NSX-V-fix-distributed-router-interface-deletion.patch
Patch0031: 0031-NSXv-Fix-tempest-test-failures-due-to-KeyError-prima.patch
Patch0032: 0032-Ensure-that-correct-vmware-nsxlib-is-used.patch
Patch0033: 0033-NSX-V3-fix-exclude-list-initialization.patch
Patch0034: 0034-NSX-V3-fix-issues-with-exclude-list.patch
Patch0035: 0035-Validate-L2gateway-exists-in-backend.patch
Patch0036: 0036-NSX-V-Fail-dist-router-set-gw-if-edge-not-found.patch
Patch0037: 0037-NSX-v-fix-some-host-group-placement-issues.patch
Patch0038: 0038-NSX-V3-Fix-exclude-port-issue-during-delete-port.patch
Patch0039: 0039-NSXv3-Add-support-for-secure-metadata-proxy-access.patch
Patch0040: 0040-Update-api-replay-for-nsx-v-nsx-v3-migration.patch
Patch0041: 0041-Use-stable-ocata-nsxlib-tag.patch
Patch0042: 0042-NSXAdmin-Block-cert-commands-when-feature-is-off.patch
Patch0043: 0043-NSX-v-Distributed-router-type-update-failure.patch
Patch0044: 0044-Address-network-filtering-issue.patch
Patch0045: 0045-NSX-v3-fix-delete-router-when-there-is-no-backend-id.patch
Patch0046: 0046-AdminUtil-NSX-V3-change-metadata-server.patch
Patch0047: 0047-AdminUtils-Fix-NSX-V-dhcp-edge-recreate.patch
Patch0048: 0048-Rename-api-replay-to-nsx-migration.patch
Patch0049: 0049-AdminUtils-Fix-NSX-v-metadata-secret.patch
Patch0050: 0050-NSX-V3-treat-missing-exclude-list-entry-on-delete.patch
Patch0051: 0051-NSX-V-ensure-that-FLAT-provider-network-is-deleted.patch
Patch0052: 0052-NSX-v-Add-fip-to-exclusive-router-after-migration.patch
Patch0053: 0053-Revert-Rename-api-replay-to-nsx-migration.patch
Patch0054: 0054-Add-in-new-alias-for-nsx-migration.patch
Patch0055: 0055-Fix-nsx-migration-script.patch
Patch0056: 0056-NSX-v-keep-snat-status-when-changing-router-type.patch
Patch0057: 0057-NSXV3-ovs-bridge-was-not-getting-created-in-restack.patch
Patch0058: 0058-NSXv3-Solve-race-condition-in-DB-cert-provider.patch
Patch0059: 0059-NSX-Migration-support-keystone-v3-other-fixes.patch
Patch0060: 0060-NSX-migration-remove-physical-network-for-flat-netwo.patch
Patch0061: 0061-NSX-T-Migrate-migration-script-for-libvirt.patch
Patch0062: 0062-NSXv3-More-locking-for-certificate-provider.patch
Patch0063: 0063-NSX-V3-treat-DHCP-server-max-entries.patch
Patch0064: 0064-Update-UPPER_CONSTRAINTS_FILE-for-stable-ocata.patch
Patch0065: 0065-NSX-V-prevent-deadlock-with-subnet-creation-and-dele.patch
Patch0066: 0066-NSXv-add-lbaas-statistics-support.patch
Patch0067: 0067-NSX-V-fix-vnic-allocation-for-AZ-and-metadata.patch
Patch0068: 0068-NSX-V3-ensure-exclude-tag-is-correctly-set.patch
Patch0069: 0069-NSX-V-LOG.exception-only-when-there-is-an-exception.patch
Patch0070: 0070-NSXv3-Race-condition-fix-for-cert-provider.patch
Patch0071: 0071-Fix-upper-constraints-url.patch
Patch0072: 0072-Fix-l2gw-exception-handling.patch
Patch0073: 0073-NSX-v-Fix-LBaaS-session-persistence.patch
Patch0074: 0074-NSX-V3-ensure-that-network-rollback-works-correctly.patch
Patch0075: 0075-NSX-V3-fix-devstack-cleanup.patch
Patch0076: 0076-AdminUtils-NSX-V3-Add-orphaned-networks-list-clean.patch
Patch0077: 0077-NSX-V-prevent-a-floating-IP-being-configure-on-a-no-.patch
Patch0078: 0078-NSXv-LB-pool-delete-failure-while-binding-missing.patch
Patch0079: 0079-NSX-V3-ensure-that-devstack-cleanup-delets-switches.patch
Patch0080: 0080-AdminUtils-NSX-V-router-recreate-fix-type-check.patch
Patch0081: 0081-NSXv3-Add-lock-around-filename-in-cert-provider.patch
Patch0082: 0082-NSX-V3-devstack-cleanup-exclude-list-ports-on-devsta.patch
Patch0083: 0083-NSX-v-handle-old-loadbalancers-interfaces.patch
Patch0084: 0084-NSX-migration-fix-nosnat-keep-ips.patch
Patch0085: 0085-NSXv3-Move-away-from-locking-in-cert-provider.patch
Patch0086: 0086-NSXT-instance-migration-Improve-logging.patch
Patch0087: 0087-NSX-migration-Add-logging-and-handle-errors.patch
Patch0088: 0088-NSXV-ensure-that-binding-update-does-not-fail-if-del.patch
Patch0089: 0089-NSXT-instance-migration-support-file-logging.patch
Patch0090: 0090-NSX-V3-enable-creation-of-provider-VLAN-network.patch
Patch0091: 0091-NSXv3-Adjust-UTs-to-policy-changes-in-nsxlib.patch
Patch0092: 0092-NSX-V3-honor-host-routes.patch
Patch0093: 0093-NSX-V-ensure-that-router-updates-are-atomic.patch
Patch0094: 0094-NSXV-use-correct-exception-for-NoResultFound.patch
Patch0095: 0095-NSXv-LB-objects-delete-failure-while-pool-binding-mi.patch
Patch0096: 0096-NSXv3-set-nsxlib-to-be-stable-ocata-for-devstack.patch
Patch0097: 0097-NSXv-DHCP-locking-refactor.patch
Patch0098: 0098-NSXv-locking-DHCP.patch
Patch0099: 0099-NSX-V3-ensure-that-MAC-learning-does-not-invoke-swit.patch
Patch0100: 0100-NSX-v-get-internal-net-by-az-fix.patch
Patch0101: 0101-NSXV3-harden-subnet-creation-for-external-networks.patch
Patch0102: 0102-NSX-V-keep-availability-zones-on-router-migration.patch
Patch0103: 0103-NSX-v-Fix-lock-when-removing-a-distributed-router-in.patch
Patch0104: 0104-NSX-V3-Admin-utils-expect-different-notFound-error.patch
Patch0105: 0105-NSX-v-Admin-Util-remove-router-binding-orphaned-entr.patch
Patch0106: 0106-NSX-v-AdminUtil-ignore-irrelevant-orphaned-networks.patch
Patch0107: 0107-NSX-V-ensure-that-vnic-reads-writes-are-atomic.patch
Patch0108: 0108-Nsx-admin-Initialize-nsx-lib-on-demand.patch
Patch0109: 0109-NSX-v3-use-nsxlib-in-devstack-cleanup.patch
Patch0110: 0110-NSXv3-Rewrite-client-certificate-provider.patch
Patch0111: 0111-NSX-V-check-md-proxy-handler-exists-before-usage.patch
Patch0112: 0112-NSX-V-fix-exclude-list-counting.patch
Patch0113: 0113-zuul-v3-gate-changes.patch
Patch0114: 0114-NSX-V3-add-NSX-headers-for-logging-on-NSX.patch
Patch0115: 0115-NSX-V3-don-t-fail-on-already-deleted-network-port.patch
Patch0116: 0116-NSX-V3-allow-updating-a-floatingip-without-changing-.patch
Patch0117: 0117-NSX-Migration-of-default-security-groups.patch
Patch0118: 0118-NSX-V3-address-edge-case-of-subnet-deletion-when-att.patch
Patch0119: 0119-NSX-v-Add-qos-policy-id-to-port.patch

# TODO: some of those dependencies are not available in repos, so left them version-less
BuildArch:      noarch
BuildRequires:  python2-devel
#BuildRequires:  python-mock >= 1.1
BuildRequires:  python-mock
BuildRequires:  python-oslo-sphinx
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-tenacity
BuildRequires:  python-vmware-nsxlib
# Required for config file generation
BuildRequires:  python-debtcollector
BuildRequires:  python-oslo-config >= 2:1.11.0
BuildRequires:  python-oslo-i18n >= 1.5.0
BuildRequires:  python-oslo-vmware >= 0.13.1
BuildRequires:  python-neutron

#Requires:      python-eventlet >= 0.17.4
Requires:       python-decorator
Requires:       python-enum34
Requires:       python-eventlet
Requires:       python-httplib2 >= 0.7.5
Requires:       python-netaddr >= 0.7.12
Requires:       python-neutron
Requires:       python-neutron-lib >= 1.1.0
Requires:       python-openstackclient >= 3.3.0
Requires:       python-osc-lib >= 1.2.0
Requires:       python-oslo-concurrency >= 3.8.0
Requires:       python-oslo-config >= 2:3.14.0
Requires:       python-oslo-db >= 4.15.0
Requires:       python-oslo-i18n >= 2.1.0
Requires:       python-oslo-log >= 3.11.0
Requires:       python-oslo-serialization >= 1.10.0
Requires:       python-oslo-service >= 1.10.0
Requires:       python-oslo-utils >= 3.18.0
Requires:       python-oslo-vmware >= 2.17.0
Requires:       python-pbr >= 1.8
Requires:       python-prettytable
Requires:       python-six >= 1.9.0
Requires:       python-sqlalchemy >= 1.0.10
Requires:       python-stevedore >= 1.17.1
#Requires:       python-tenacity >= 3.1.1
Requires:       python-tenacity
#Requires:      python-tooz >= 1.28.0
Requires:       python-tooz
Requires:       python-vmware-nsxlib

%description
This package contains %{drv_vendor} networking driver for OpenStack Neutron.


%package doc
Summary:        %{summary} documentation
Requires:       %{name} = %{version}-%{release}


%description doc
This package contains documentation for %{drv_vendor} networking driver for
OpenStack Neutron.


%prep
%setup -q -n %{srcname}-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1
%patch0013 -p1
%patch0014 -p1
%patch0015 -p1
%patch0016 -p1
%patch0017 -p1
%patch0018 -p1
%patch0019 -p1
%patch0020 -p1
%patch0021 -p1
%patch0022 -p1
%patch0023 -p1
%patch0024 -p1
%patch0025 -p1
%patch0026 -p1
%patch0027 -p1
%patch0028 -p1
%patch0029 -p1
%patch0030 -p1
%patch0031 -p1
%patch0032 -p1
%patch0033 -p1
%patch0034 -p1
%patch0035 -p1
%patch0036 -p1
%patch0037 -p1
%patch0038 -p1
%patch0039 -p1
%patch0040 -p1
%patch0041 -p1
%patch0042 -p1
%patch0043 -p1
%patch0044 -p1
%patch0045 -p1
%patch0046 -p1
%patch0047 -p1
%patch0048 -p1
%patch0049 -p1
%patch0050 -p1
%patch0051 -p1
%patch0052 -p1
%patch0053 -p1
%patch0054 -p1
%patch0055 -p1
%patch0056 -p1
%patch0057 -p1
%patch0058 -p1
%patch0059 -p1
%patch0060 -p1
%patch0061 -p1
%patch0062 -p1
%patch0063 -p1
%patch0064 -p1
%patch0065 -p1
%patch0066 -p1
%patch0067 -p1
%patch0068 -p1
%patch0069 -p1
%patch0070 -p1
%patch0071 -p1
%patch0072 -p1
%patch0073 -p1
%patch0074 -p1
%patch0075 -p1
%patch0076 -p1
%patch0077 -p1
%patch0078 -p1
%patch0079 -p1
%patch0080 -p1
%patch0081 -p1
%patch0082 -p1
%patch0083 -p1
%patch0084 -p1
%patch0085 -p1
%patch0086 -p1
%patch0087 -p1
%patch0088 -p1
%patch0089 -p1
%patch0090 -p1
%patch0091 -p1
%patch0092 -p1
%patch0093 -p1
%patch0094 -p1
%patch0095 -p1
%patch0096 -p1
%patch0097 -p1
%patch0098 -p1
%patch0099 -p1
%patch0100 -p1
%patch0101 -p1
%patch0102 -p1
%patch0103 -p1
%patch0104 -p1
%patch0105 -p1
%patch0106 -p1
%patch0107 -p1
%patch0108 -p1
%patch0109 -p1
%patch0110 -p1
%patch0111 -p1
%patch0112 -p1
%patch0113 -p1
%patch0114 -p1
%patch0115 -p1
%patch0116 -p1
%patch0117 -p1
%patch0118 -p1
%patch0119 -p1

rm requirements.txt test-requirements.txt


%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx
rm %{docpath}/.buildinfo


%install
export PBR_VERSION=%{version}
export SKIP_PIP_INSTALL=1
%{__python2} setup.py install --skip-build --root %{buildroot}

# Build config file
PYTHONPATH=. tools/generate_config_file_samples.sh

# Move config files to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware
mv etc/nsx.ini.sample %{buildroot}%{_sysconfdir}/%{service}/plugins/vmware/nsx.ini

%files
%license LICENSE
%{_bindir}/nsx-migration
%{_bindir}/neutron-api-replay
%{_bindir}/neutron-check-nsx-config
%{_bindir}/nsxadmin
%{python2_sitelib}/vmware_nsx
%{python2_sitelib}/vmware_nsx-%{version}-py%{python2_version}.egg-info
%dir %{_sysconfdir}/%{service}/plugins/vmware
%config(noreplace) %attr(0640, root, %{service}) %{_sysconfdir}/%{service}/plugins/vmware/*.ini


%files doc
%license LICENSE
%doc %{docpath}


%changelog
* Fri Jan 05 2018 Steve Linabery <slinaber@redhat.com> 10.0.0-11
- NSX|v: Add qos policy id to port
- NSX|V3: address edge case of subnet deletion when attached to router
- NSX-Migration of default security groups
- NSX|V3: allow updating a floatingip without changing the port
- NSX|V3: don't fail on already deleted network/port
- NSX|V3: add NSX headers for logging on NSX

* Fri Nov 10 2017 Jason Joyce <jjoyce@redhat.com> 10.0.0-10
- zuul v3 gate changes
- NSX|V fix exclude list counting
- NSX|V: check md proxy handler exists before usage
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata
- Merge "NSX-T: Rewrite client certificate unit tests" into stable/ocata
- Merge "Use vmware-nsxlib (stable/ocata)" into stable/ocata
- Merge "NSX|V Fix lbaas l7 reject action" into stable/ocata
- Merge "NSX|V: delete old pending-create edges" into stable/ocata
- Merge "AdminUtils NSXv3: Fix SG admin utils and their documantation" into stable/ocata

* Tue Sep 19 2017 Steve Linabery <slinaber@redhat.com> 10.0.0-9
- NSXv3: Rewrite client certificate provider
- NSX|v3 use nsxlib in devstack cleanup
- Nsx admin: Initialize nsx-lib on demand
- NSX|V: ensure that vnic reads/writes are atomic
- NSX|v AdminUtil ignore irrelevant orphaned networks
- NSX|v: Admin Util remove router binding orphaned entries
- NSX|V3 Admin utils expect different notFound error
- NSX|v: Fix lock when removing a distributed router interface
- NSX|V: keep availability zones on router migration
- NSXV3: harden subnet creation for external networks
- NSX|v: get internal net by az fix
- NSX|V3: ensure that MAC learning does not invoke switch profiles
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata
- Merge "NSX-T: Rewrite client certificate unit tests" into stable/ocata
- Merge "Use vmware-nsxlib (stable/ocata)" into stable/ocata
- Merge "NSX|V Fix lbaas l7 reject action" into stable/ocata
- Merge "NSX|V: delete old pending-create edges" into stable/ocata
- Merge "AdminUtils NSXv3: Fix SG admin utils and their documantation" into stable/ocata

* Fri Aug 18 2017 Steve Linabery <slinaber@redhat.com> 10.0.0-8
- NSXv: locking DHCP
- NSXv DHCP locking refactor
- NSXv3: set nsxlib to be stable/ocata for devstack
- NSXv: LB objects delete failure while pool binding missing
- NSXV: use correct exception for NoResultFound
- NSX|V: ensure that router updates are atomic
- NSX|V3: honor host routes
- NSXv3: Adjust UTs to policy changes in nsxlib
- NSX|V3: enable creation of provider VLAN network
- NSXT instance migration: support file logging
- NSXV: ensure that binding update does not fail if deleted
- NSX-migration: Add logging and handle errors
- NSXT instance migration: Improve logging
- NSXv3: Move away from locking in cert provider
- NSX migration fix nosnat + keep ips
- NSX|v: handle old loadbalancers interfaces
- NSX|V3: devstack cleanup exclude list ports on devstack
- NSXv3: Add lock around filename in cert provider
- AdminUtils NSX|V: router recreate fix type check
- NSX|V3: ensure that devstack cleanup delets switches
- NSXv: LB pool delete failure while binding missing
- NSX|V: prevent a floating IP being configure on a no snat router
- AdminUtils:NSX|V3: Add orphaned networks list & clean
- NSX|V3: ensure that network rollback works correctly
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata
- Merge "NSX-T: Rewrite client certificate unit tests" into stable/ocata
- Merge "Use vmware-nsxlib (stable/ocata)" into stable/ocata
- Merge "NSX|V Fix lbaas l7 reject action" into stable/ocata
- Merge "NSX|V: delete old pending-create edges" into stable/ocata
- Merge "AdminUtils NSXv3: Fix SG admin utils and their documantation" into stable/ocata

* Mon Jun 26 2017 Jason Joyce <jjoyce@redhat.com> 10.0.0-7
- NSX|v: Fix LBaaS session persistence
- Fix l2gw exception handling
- Fix upper constraints url
- NSXv3: Race condition fix for cert provider
- NSX|V: LOG.exception only when there is an exception
- NSX|V3: ensure 'exclude' tag is correctly set
- NSX|V: fix vnic allocation for AZ and metadata
- NSXv: add lbaas statistics support
- NSX|V: prevent deadlock with subnet creation and deletion
- Update UPPER_CONSTRAINTS_FILE for stable/ocata
- NSX|V3: treat DHCP server max entries
- NSXv3: More locking for certificate provider
- NSX-T Migrate: migration script for libvirt
- NSX-migration: remove physical-network for flat networks
- NSX Migration: support keystone v3 & other fixes
- NSXv3: Solve race condition in DB cert provider
- NSXV3: ovs bridge was not getting created in restack
- NSX|v: keep snat status when changing router type
- Fix nsx-migration script
- Add in new alias for nsx-migration
- Revert "Rename api-replay to nsx-migration"
- NSX|v: Add fip to exclusive router after migration
- NSX|V: ensure that FLAT provider network is deleted
- NSX|V3: treat missing exclude list entry on delete
- AdminUtils:Fix NSX-v metadata secret
- Rename api-replay to nsx-migration
- AdminUtils: Fix NSX-V dhcp-edge recreate
- AdminUtil:NSX|V3: change metadata server
- NSX-v3| fix delete-router when there is no backend id
- Address network filtering issue
- NSX|v: Distributed router type update failure
- NSXAdmin: Block cert commands when feature is off
- Use stable/ocata nsxlib tag
- Update api-replay for nsx-v->nsx-v3 migration
- NSXv3: Add support for secure metadata-proxy access
- NSX|V3: Fix exclude port issue during delete port
- NSX|v fix some host group placement issues
- NSX|V Fail dist router set gw if edge not found
- Validate L2gateway exists in backend
- NSX|V3: fix issues with exclude list
- NSX|V3: fix exclude list initialization
- Ensure that correct vmware-nsxlib is used
- NSXv: Fix tempest test failures due to KeyError 'primaryAddress'
- NSX|V: fix distributed router interface deletion
- Backport neutron integration fixes
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata
- Merge "NSX-T: Rewrite client certificate unit tests" into stable/ocata
- Merge "Use vmware-nsxlib (stable/ocata)" into stable/ocata
- Merge "NSX|V Fix lbaas l7 reject action" into stable/ocata
- Merge "NSX|V: delete old pending-create edges" into stable/ocata
- Merge "AdminUtils NSXv3: Fix SG admin utils and their documantation" into stable/ocata

* Wed Apr 19 2017 Steve Linabery <slinaber@redhat.com> 10.0.0-6
- NSX-V| Fix exclusive router deletion

* Mon Apr 17 2017 Steve Linabery <slinaber@redhat.com> 10.0.0-5
- Fix unit tests
- NSXv, NSXv3: Enable address-scope extension
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata
- Merge "NSX-T: Rewrite client certificate unit tests" into stable/ocata
- Merge "Use vmware-nsxlib (stable/ocata)" into stable/ocata
- Merge "NSX|V Fix lbaas l7 reject action" into stable/ocata
- Merge "NSX|V: delete old pending-create edges" into stable/ocata
- Merge "AdminUtils NSXv3: Fix SG admin utils and their documantation" into stable/ocata

* Tue Apr 11 2017 Steve Linabery <slinaber@redhat.com> 10.0.0-4
- Prevent non-admin user specifying port's provider-security-groups
- NSXv3: Hide client auth password
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata
- Merge "NSX-T: Rewrite client certificate unit tests" into stable/ocata
- Merge "Use vmware-nsxlib (stable/ocata)" into stable/ocata
- Merge "NSX|V Fix lbaas l7 reject action" into stable/ocata
- Merge "NSX|V: delete old pending-create edges" into stable/ocata
- Merge "AdminUtils NSXv3: Fix SG admin utils and their documantation" into stable/ocata

* Mon Apr 03 2017 Jon Schlueter <jschluet@redhat.com> 10.0.0-3
- AdminUtils NSX-V| fix sections reorder
- NSXv3: Always clean client certificate in devstack
- NSX-V3| fix devstack cleanup
- Fix to use correct config options for image_ssh_user
- NSXv3 Admin: Multiple client certificate support
- NSX-V3: Fix QoS delete
- Skip configuring integration bride on ESXi compute
- NSX|V: ensure correct parameter is passed
- NSXv: Subnet create and attachment concurrency
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata

* Wed Mar 29 2017 Jon Schlueter <jschluet@redhat.com> 10.0.0-2
- NSXv3 Admin: Multiple client certificate support
- NSX-V3: Fix QoS delete
- Skip configuring integration bride on ESXi compute
- NSX|V: ensure correct parameter is passed
- NSXv: Subnet create and attachment concurrency
- Merge "NSXv3: Add certificate expiration alert" into stable/ocata
- NSXv3: Add certificate expiration alert
- Updated from global requirements
- NSX-V3| Qos without RPC notifications

* Wed Mar 29 2017 Jason Joyce <jjoyce@redhat.com> 10.0.0-1
- Update to 10.0.0

